(function ($) {

    $(document).ready(function () {
        // radio button text link
        $("input[name$='isLinkEnabled']").click(function () {
            var inputval = $(this).val();
            if( 'text_link' == inputval ){
                $(".copybuttontext").slideDown();
                $(".copybuttontext2").slideUp();
            } else {
                $(".copybuttontext").slideUp();
                $(".copybuttontext2").slideDown();
            }
        });
        var radioValue = $("input[name='isLinkEnabled']:checked").val();
        if( 'text_link' == radioValue ){
            $(".copybuttontext").slideDown();
            $(".copybuttontext2").css( 'display','none' );
        } else {
            $(".copybuttontext2").slideDown();
            $(".copybuttontext").css( 'display','none' );
        }

        // Floating button checkbox
        var isButtonEnabled = $("input[name='isButtonEnabled']:checked").val();
        $("#edit-isbuttonenabled").click(
            function () {
                if ( $( '#edit-isbuttonenabled' ).is( ':checked' ) ) {
                    $(".form-item-image-icon").slideDown();
                } else {
                    $(".form-item-image-icon").slideUp();
                }
            }
        );
        if ( $( '#edit-isbuttonenabled' ).is( ':checked' ) ) {
            $( '.form-item-image-icon' ).css( 'display','block' );
        } else {
            $( '.form-item-image-icon' ).css( 'display','none' );
        }

        // isEmailEnabled.
        $( '#edit-isemailenabled' ).click(
            function () {
                if ( $( '#edit-isemailenabled' ).is( ':checked' ) ) {
                    $(".form-item-emailaddress").slideDown();
                } else {
                    $(".form-item-emailaddress").slideUp();
                }
            }
        );
        if ( $( '#edit-isemailenabled' ).is( ':not(:checked)' ) ) {
            $(".form-item-emailaddress").css('display','none');
        }

        // isPhoneEnabled.
        $( '#edit-isphoneenabled' ).click(
            function () {
                if ( $( '#edit-isphoneenabled' ).is( ':checked' ) ) {
                    $('.form-item-phonenumber').slideDown();
                } else {
                    $('.form-item-phonenumber').slideUp();
                }
            }
        );
        if ( $( '#edit-isphoneenabled' ).is( ':not(:checked)' ) ) {
            $('.form-item-phonenumber').css('display','none');
        }

        // Request Form.
        $( '#edit-form-enable' ).click(
            function () {
                if ( $( '#edit-form-enable' ).is( ':checked' ) ) {
                    $('.form-item-form-link-text, .form-item-form-link-url').slideDown();
                } else {
                    $('.form-item-form-link-text, .form-item-form-link-url').slideUp();
                }
            }
        );
        if ( $( '#edit-form-enable' ).is( ':not(:checked)' ) ) {
            $('.form-item-form-link-text, .form-item-form-link-url').css('display', 'none');
        }

        // Google presonalize .
        $( '#edit-isgooglepersonalizeenabled' ).click(
            function () {
                if ( $( '#edit-isgooglepersonalizeenabled' ).is( ':checked' ) ) {
                    $('.personalizegroup').slideDown();
                    $('.form-item-islspaenable').slideDown();
                } else {
                    $('.personalizegroup').slideUp();
                    $('.form-item-islspaenable').slideUp();
                }
            }
        );
        if ( $( '#edit-isgooglepersonalizeenabled' ).is( ':not(:checked)' ) ) {
            $('.personalizegroup, .form-item-islspaenable').css('display', 'none');
        }

        // LSPA enable .
        $( '#edit-isiabenabled' ).click(
            function () {
                if ( $( '#edit-isiabenabled' ).is( ':checked' ) ) {
                    $('.form-item-islspaenable').slideDown();
                } else {
                    $('.form-item-islspaenable').slideUp();
                }
            }
        );
        if ( $( '#edit-isiabenabled' ).is( ':not(:checked)' ) ) {
            $('.form-item-islspaenable').css('display', 'none');
        }

        $( "#edit-copy-button" ).on(
            {
                "click": function (e) {
                    var copyText = document.getElementById( "edit-link-text" );
                    copyText.select();
                    document.execCommand( "copy" );
                    var x = this.getBoundingClientRect();
                    //$( '#edit-copy-button' ).html( "<div id='optouttooltipDiv'>Link Copied</div>" );
                    $("#edit-copy-button").before("<div id='optouttooltipDiv'>Link Copied</div>");
                    $( '#optouttooltipDiv' ).css( {"top":x.top - 45, "left": x.left, "display": "block"} );
                },
                "mouseout": function () {
                    $( '#optouttooltipDiv' ).remove();
                }
            }
        );

        $( "#edit-copy-button2" ).on(
            {
                "click": function (e) {
                    var copyText = document.getElementById( "edit-button-text" );
                    copyText.select();
                    document.execCommand( "copy" );
                    var x = this.getBoundingClientRect();
                    $("#edit-copy-button2").before("<div id='optouttooltipDiv'>Button Copied</div>");
                    $( '#optouttooltipDiv' ).css( {"top":x.top - 45, "left": x.left, "display": "block"} );
                },
                "mouseout": function () {
                    $( '#optouttooltipDiv' ).remove();
                }
            }
        );
    });
})(jQuery);
